namespace Petlja
{
    internal class Program
    {
        static void Main(string[] args)
        {
            int n, l,br=0;
            Console.WriteLine("Broj stalaktita i visina Perice");
            n=Convert.ToInt32(Console.ReadLine());
            l=Convert.ToInt32(Console.ReadLine());
            Console.WriteLine("Unesi stalaktite\n");
            int[] h = new int [n];
            for (int i=0; i<n; i++)
            {
                h[i] = Convert.ToInt32(Console.ReadLine());
            }
            for(int i=0; i<n; i++)
            {
                if (h[i] < l) {
                    br = i+1;
                    break;
                }
            }
            if(br==0)
                Console.WriteLine(-1);
            else
            {
                Console.WriteLine(br);
            }


        }
    }
}